<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>tracwysiwyg test</title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <link rel="stylesheet" href="./chrome/common/css/trac.css" type="text/css" />
  <link rel="stylesheet" href="../tracwysiwyg/htdocs/wysiwyg.css" type="text/css" />
  <script type="text/javascript">var _tracwysiwyg = { escapeNewlines: false }</script>
  <style type="text/css">
  html { font-size: 13px; *font-size: small; }
  body { font-family: Arial, Helvetica, sans-serif; font-size: 100%; }
  textarea { font-size: 11px; width: 100%; border: 1px solid #999; }
  #testunit .current { background-color: #FFFF80; }
  #testunit .success { background-color: #33dd88; }
  #testunit .failure textarea { background-color: #ff3333; border-style: none; }
  #wysiwyg-html {
    width: 100%;
    border: 1px solid #999;
    font-size: 11px;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    white-space: pre-wrap;
    word-wrap: break-word;
  }
  </style>
</head>
<body>
  <form method="post">
    <textarea id="textarea" class="wikitext" cols="50" rows="20" wrap="off"></textarea>
    <div>
      Trac:
      <label><input type="radio" name="version" value="branches/1.0-stable" / >1.0-stable</label>
      <label><input type="radio" name="version" value="branches/1.2-stable" / >1.2-stable</label>
      <label><input type="radio" name="version" value="branches/1.4-stable" / >1.4-stable</label>
      <label><input type="radio" name="version" value="trunk" / > trunk</label>
    </div>
    <div>
      <label><input type="checkbox" id="show-wysiwyg-html" value="1"
        onclick="document.getElementById('wysiwyg-html').style.display=this.checked?'':'none'"
        />show html</label>
      &nbsp;
      <label><input type="checkbox" value="1"
        onclick="_tracwysiwyg.escapeNewlines = this.checked"
        />escape newlines</label>
      <textarea id="wysiwyg-html" cols="50" rows="12" style="display:none;"></textarea>
    </div>
  </form>
</body>
<script type="text/javascript">(function() {
  var click = function() {
    var i;
    var version = this.value;
    for (i = 0; i < inputs.length; i++) {
      inputs[i].setAttribute('disabled', 'disabled');
    }
    var srcs = [
      "https://svn.edgewall.org/repos/trac/<version>/trac/htdocs/js/jquery.js",
      "https://svn.edgewall.org/repos/trac/<version>/trac/htdocs/js/babel.js",
      "https://svn.edgewall.org/repos/trac/<version>/trac/htdocs/js/trac.js",
      "../tracwysiwyg/htdocs/wysiwyg.js", "./testunit.js", "./testcase.js" ];
    var head = document.querySelector('head');
    for (i = 0; i < srcs.length; i++) {
      var src = srcs[i].replace(/<version>/g, version);
      if (!/^(?:https?:)?\/\//.test(src))
        src += '?_=' + (new Date).valueOf();
      var script = document.createElement('script');
      script.type = 'text/javascript';
      script.async = false;
      script.src = src;
      head.appendChild(script);
    }
    this.blur();
  };
  var inputs = document.querySelectorAll('input[name=version]');
  for (var i = 0; i < inputs.length; i++) {
    var input = inputs[i];
    input.checked = false;
    input.addEventListener('click', click);
  }
})();
</script>
</html>
